package model

import (
	"context"
	"yx-dataset-server/app/schema"
)

// IUserDataset UserDataset存储接口
type IUserDataset interface {
	// 查询数据
	Query(ctx context.Context, params schema.UserDatasetQueryParam, opts ...schema.UserDatasetQueryOptions) (*schema.UserDatasetQueryResult, error)
	// 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.UserDatasetQueryOptions) (*schema.UserDataset, error)
	// 创建数据
	Create(ctx context.Context, item schema.UserDataset) error
	// 更新数据
	Update(ctx context.Context, recordID string, item schema.UserDataset) error
	// 删除数据
	Delete(ctx context.Context, recordID string) error
	// DeleteByUserId 删除数据
	DeleteByUserId(ctx context.Context, recordID string) error
	// 更新状态
	UpdateStatus(ctx context.Context, recordID string, status int) error
}
